
# [api]
# enabled = true

[sources.statsd]
type = "statsd"
# below seems to be equiv of ipv4 0.0.0.0. Check with infrastructure team
address = "[0:0:0:0:0:0:0:0]:8125" # works

mode = "tcp"
path = "/path/to/socket"

[sources.queueview]
type = "prometheus_scrape"
endpoints = [ "https://queuview.fly.dev/metrics" ]
scrape_interval_secs = 60
instance_tag = "instance"
endpoint_tag = "endpoint"

# [transforms.tolog]
# type = "metric_to_log"
# inputs = [ "statsd" ]





[sinks.prometheus_remote_write_statsd]
type = "prometheus_remote_write"
healthcheck.enabled = false
inputs = [ "statsd" ]
endpoint = "${PROMETHEUS_URL}"
default_namespace = "statsd"
auth.strategy = "basic"
auth.user = "${PROMETHEUS_USER}"
auth.password = "${PROMETHEUS_PASSWORD}"

# NB do not set a default namespace for the prometheus sinks
# as doing so will cause the metrics to be prefixed with the namespace

# activate belkow if you want to see the metrics are expose
# [sinks.prometheus_metrics_queueview]
# type = "prometheus_exporter"
# inputs = [ "queueview" ]
# address = "[0:0:0:0:0:0:0:0]:9698"

[sinks.prometheus_remote_write_queuview]
type = "prometheus_remote_write"
healthcheck.enabled = false
inputs = [ "queueview" ]
endpoint = "${PROMETHEUS_URL}"
auth.strategy = "basic"
auth.user = "${PROMETHEUS_USER}"
auth.password = "${PROMETHEUS_PASSWORD}"


# Below is useful when you are trying to debug.
# It will print the metrics of the specified input on the console
[sinks.out]
inputs = ["statsd"]
type = "console"
encoding.codec = "text"